Subject: Offline Message from Ginny: Hi, I have a E-bike EB7. It need to be replace th
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked]
Date: Tue, 16 Aug 2022 04:19:05 -0000

From: Ginny <[email-masked]>
Phone: 4087690800
Location: Cupertino, United States
URL: https://swagtron.com/parts-accessories/
Department: SwagTron

Hi, I have a E-bike EB7. It need to be replace the brake pad. I did looked the manual owner but I couldn’t find the info for the pad. I also check the website but it didn’t sell the brake pad either. Would you please send me the dimension of the brake pad and also share me the link to buy them. Thank you!

----
Zopim
https://www.zopim.com